### ShowBox

Category

Realization

Function

Draws the bounding box of a field.

Syntax

    box, center = ShowBox(input);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | the field for which a bounding box is to be shown

Outputs

Name | Type | Description
--- | --- | ---
`box` | color field | renderable bounding box of input field
`center` | vector | center of bounding box

Functional Details

This module produces a set of lines representing the edges of the bounding box of a specified input object. It also generates a 3-vector for the position of the center of the bounding box.

`input` | specifies the object for which ShowBox generates a bounding box.

Notes:

1. The module adds a default color to the output box.

2. Unlike ShowConnections, ShowBoundary, and ShowPositions, this module does not pass the colors and data of the input through to the output.

3. Any invalid data in `input` is ignored in creating the bounding box. (See "Invalid Positions and Invalid Connections Components" in IBM Visualization Data Explorer User's Guide.)

Components

Creates new "positions," "connections," and "colors" components.

Example Visual Programs

    ContoursAndCaption.net
    UsingSwitchAndRoute.net
    SIMPLE/MapToPlane.net

See Also

ShowBoundary, ShowConnections, ShowPositions

[ OpenDX Home at IBM | OpenDX.org ]